Remove an explicit contact from a campaign
curl --request DELETE \
--url https://api.journeybee.io/v1/campaigns/{uuid}/contacts/{subUuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.journeybee.io/v1/campaigns/{uuid}/contacts/{subUuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.journeybee.io/v1/campaigns/{uuid}/contacts/{subUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"title": "<string>",
"type": "<string>",
"description": "<string>",
"status": "<string>",
"completed": true,
"lead_sharing_enabled": true,
"start_date": "<string>",
"end_date": "<string>",
"scheduled_at": "<string>",
"timezone": "<string>",
"venue": "<string>",
"physical_address": "<string>",
"partner_type_referral": true,
"partner_type_reseller": true,
"partner_type_distributor": true,
"email_status": "draft",
"enabled_modules": [
"details"
],
"email_template": {
"uuid": "<string>",
"name": "<string>",
"subject": "<string>",
"channel": "email"
},
"tags": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>",
"tiers": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"categories": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"stages": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"partners": [
{
"uuid": "<string>",
"name": "<string>",
"partner_type": "referral",
"shared": true,
"shared_leads": true
}
],
"recipient_partnerships": [
{
"uuid": "<string>",
"name": "<string>",
"partner_type": "referral"
}
],
"contact_tags": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"contacts": [
{
"uuid": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>"
}
]
}Campaign Audience
Remove an explicit contact from a campaign
DELETE
/
campaigns
/
{uuid}
/
contacts
/
{subUuid}
Remove an explicit contact from a campaign
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
200 - application/json
Default Response
Available options:
draft, scheduled, sending, sent, partial, failed, cancelled Modules enabled on the campaign, aliased to canonical names (the legacy "audience" value is always reported as "recipients", even if the row still stores "audience"). Built modules: details, schedule, recipients, partners, email, templates, forms, leads, settings. Reserved/roadmap values (tags, notes, analytics, assets, mdf, social) may also appear if already stored on the row.
Available options:
details, schedule, partners, audience, recipients, email, templates, forms, tags, notes, leads, analytics, assets, mdf, social, settings Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes